#Set the directory
para_file="basic.dat"
temp=read.table(para_file, header =FALSE, sep = "", nrows =1,skip = 33,strip.white = FALSE)
no_variables=as.numeric(temp[1])
temp=read.table(para_file, header =FALSE, sep = "", nrows =1,skip = 35,strip.white = FALSE)
time_step=as.numeric(temp[1])
skip1=49
if (time_step==0) {
skip1=54
}
temp=read.table(para_file, header =FALSE, sep = "", nrows =1,skip = skip1,strip.white = FALSE)
no_seasons=as.numeric(temp[1])
#read plotting options
temp=read.table(para_file, header =FALSE, sep = "", nrows =1,skip = skip1+5+no_seasons,strip.white = FALSE)
my_plot=as.numeric(temp[1])
type_model=read.table(para_file, header =FALSE, sep = "", nrows =1,skip = 41,strip.white = FALSE)
no_model=as.numeric(type_model[1])
#for current climate raw data stat file name
stat_rawc<-readLines(para_file)[[17]]
stat_rawc<-gsub("(^[[:space:]]+|[[:space:]]+$)", "", stat_rawc)
#for current climate BC data stat file name
stat_bcc<-readLines(para_file)[[21]]
stat_bcc<-gsub("(^[[:space:]]+|[[:space:]]+$)", "", stat_bcc)
#for future climate raw data stat file name
stat_rawf<-readLines(para_file)[[28]]
stat_rawf<-gsub("(^[[:space:]]+|[[:space:]]+$)", "", stat_rawf)
#for future climate BC data stat file name
stat_bcf<-readLines(para_file)[[32]]
stat_bcf<-gsub("(^[[:space:]]+|[[:space:]]+$)", "", stat_bcf)

message("Running bias corerction model")
#Run the executable
if (no_model==1) {
system(shQuote("MRNBC.exe",type="cmd"))
}
if (no_model==2) {
system(shQuote("MRNCDM.exe",type="cmd"))
}

#PLOT function
scatterPlot <- function(var_filename,statistics_annual,statistics_seasonal,statistics_monthly,statistics_daily,variables,in1,in2,time_step){
  x1=as.matrix(statistics_annual[in1])*as.matrix(variables[in2])
  y1=as.matrix(statistics_annual[in1+1])*as.matrix(variables[in2])
  x2=as.matrix(statistics_seasonal[in1])*as.matrix(variables[in2+1])
  y2=as.matrix(statistics_seasonal[in1+1])*as.matrix(variables[in2+1])
  x3=as.matrix(statistics_monthly[in1])*as.matrix(variables[in2+2])
  y3=as.matrix(statistics_monthly[in1+1])*as.matrix(variables[in2+2])
  x1 <- na.omit(x1)
  x2 <- na.omit(x2)
  x3 <- na.omit(x3)
  y1 <- na.omit(y1)
  y2 <- na.omit(y2)
  y3 <- na.omit(y3)
  
  jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")
  
  if (time_step==0) {
    x4=as.matrix(statistics_daily[in1])*as.matrix(variables[in2+3])
    y4=as.matrix(statistics_daily[in1+1])*as.matrix(variables[in2+3])
    x4 <- na.omit(x4)
    y4 <- na.omit(y4)
    all = c(x1,y1,x2,y2,x3,y3,x4,y4)
    range = c(min(all), max(all))
    plot(x1,y1,lty=1,xlim=range, ylim=range, lwd=1,pch=0,col=c("red"), xlab= "Observed", ylab="Simulated")
    points(x2,y2, lty=1, lwd=1,pch=1, col=c("blue"))
    points(x3,y3, lty=1, lwd=1,pch=2, col=c("green"))
    points(x4,y4, lty=1, lwd=1,pch=3, col=c("black"))
    abline (0, 1)
    legend("topleft",legend=c("Annual","Seasonal","Monthly","Daily"),pch=c(0,1,2,3),col=c("red","blue","green","black"),bg = "transparent",box.lty=0) 
    dev.off()
  } else {
    all = c(x1,y1,x2,y2,x3,y3)
    range = c(min(all), max(all))
    plot(x1,y1,lty=1,xlim=range, ylim=range, lwd=1,pch=0,col=c("red"), xlab= "Observed", ylab="Simulated")
    points(x2,y2, lty=1, lwd=1,pch=1, col=c("blue"))
    points(x3,y3, lty=1, lwd=1,pch=2, col=c("green"))
    abline (0, 1)
    legend("topleft",legend=c("Annual","Seasonal","Monthly"),pch=c(0,1,2),col=c("red","blue","green"),bg = "transparent",box.lty=0) 
    dev.off()
  }
  return()
  
  #function end
}


if (my_plot >=1 ) {
message("Creating Plots of Statistics")
#Plotting graphs
for (i in 1:4) {
if (i==1) {
output_file=stat_rawc
fact_file="P1_fact.plt"
aa="rawc"
}
if (i==2) {
output_file=stat_rawf
fact_file="P2_fact.plt"
aa="rawf"
}
if (i==3) {
output_file=stat_bcc
fact_file="P3_fact.plt"
aa="bcc"
}
if (i==4) {
output_file=stat_bcf
fact_file="P4_fact.plt"
aa="bcf"
}
#for factors
variables=read.table(fact_file, header =FALSE, sep = "", nrows =no_variables,skip = "",strip.white = FALSE) 
variables[,18] = 1
variables[,19] = 1
variables[,20] = 1
variables[,21] = 1

  #for statistics
l_skip=4
statistics_annual=read.table(output_file, header =FALSE, sep = "", nrows =(no_variables),skip = l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
l_skip=l_skip+no_variables+1
statistics_seasonal=read.table(output_file, header =FALSE, sep = "", nrows=(no_variables),skip=l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
l_skip=l_skip+no_variables+1
statistics_monthly=read.table(output_file, header =FALSE, sep = "", nrows=(no_variables),skip=l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
l_skip=l_skip+no_variables+1
if (time_step==0) {
statistics_daily=read.table(output_file, header =FALSE, sep = "", nrows=(no_variables),skip=l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
l_skip=l_skip+no_variables+1
}

# for mean
var_filename <- paste("plot_mean_", aa, sep="",".jpg")
in1=2
in2=2
scatterPlot (var_filename,statistics_annual,statistics_seasonal,statistics_monthly,statistics_daily,variables,in1,in2,time_step)

# for SD
var_filename <- paste("plot_SD_", aa, sep="",".jpg")
in1=4
in2=6
scatterPlot (var_filename,statistics_annual,statistics_seasonal,statistics_monthly,statistics_daily,variables,in1,in2,time_step)

# for LAG1 correlation
var_filename <- paste("plot_LAG1_", aa, sep="",".jpg")
in1=6
in2=18
scatterPlot (var_filename,statistics_annual,statistics_seasonal,statistics_monthly,statistics_daily,variables,in1,in2,time_step)

# for LAG2 correlation
var_filename <- paste("plot_LAG2_", aa, sep="",".jpg")
in1=8
in2=18
scatterPlot (var_filename,statistics_annual,statistics_seasonal,statistics_monthly,statistics_daily,variables,in1,in2,time_step)

# for SKEW
var_filename <- paste("plot_skew_", aa, sep="",".jpg")
in1=10
in2=18
scatterPlot (var_filename,statistics_annual,statistics_seasonal,statistics_monthly,statistics_daily,variables,in1,in2,time_step)

l_skip = l_skip+4
# for cross correlations
if (no_variables>1) {
cross_all=read.table(output_file, header =FALSE, sep = "", nrows =no_variables*(no_variables-1)/2,skip = l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
x1=as.matrix(cross_all[9])
y1=as.matrix(cross_all[10])
x2=as.matrix(cross_all[7])
y2=as.matrix(cross_all[8])
x3=as.matrix(cross_all[5])
y3=as.matrix(cross_all[6])
x1 <- na.omit(x1)
x2 <- na.omit(x2)
x3 <- na.omit(x3)
y1 <- na.omit(y1)
y2 <- na.omit(y2)
y3 <- na.omit(y3)
var_filename <- paste("plot_cross_", aa, sep="",".jpg")
jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")

if (time_step==0) {
x4=as.matrix(cross_all[3])
y4=as.matrix(cross_all[4])
x4 <- na.omit(x4)
y4 <- na.omit(y4)
all = c(x1,y1,x2,y2,x3,y3,x4,y4)
range = c(min(all), max(all))
plot(x1,y1,lty=9,xlim=range, ylim=range, lwd=2,pch=0, col=c("red"), xlab= "Observed", ylab="Simulated")
points(x2,y2, lty=9, lwd=2,pch=1, col=c("blue"))
points(x3,y3, lty=9, lwd=2,pch=2, col=c("green"))
points(x4,y4, lty=9, lwd=2,pch=3, col=c("black"))
abline (0, 1)
legend("topleft",legend=c("Annual","Seasonal","Monthly","Daily"),pch=c(0,1,2,3),col=c("red","blue","green","black"),bg = "transparent",box.lty=0) 
dev.off()
} else {
all = c(x1,y1,x2,y2,x3,y3)
range = c(min(all), max(all))
plot(x1,y1,lty=9,xlim=range, ylim=range, lwd=2,pch=0, col=c("red"), xlab= "Observed", ylab="Simulated")
points(x2,y2, lty=9, lwd=2,pch=1, col=c("blue"))
points(x3,y3, lty=9, lwd=2,pch=2, col=c("green"))
abline (0, 1)
legend("topleft",legend=c("Annual","Seasonal","Monthly"),pch=c(0,1,2),col=c("red","blue","green"),bg = "transparent",box.lty=0) 
dev.off()
}
l_skip=l_skip+no_variables*(no_variables-1)/2+1
}
# for minimum value
min_all=read.table(output_file, header =FALSE, sep = "", nrows=(no_variables),skip=(l_skip+1),strip.white = FALSE, na.strings=c("NA", "--", "?"))
x1=as.matrix(min_all[8])*as.matrix(variables[10])
y1=as.matrix(min_all[9])*as.matrix(variables[10])
x2=as.matrix(min_all[6])*as.matrix(variables[11])
y2=as.matrix(min_all[7])*as.matrix(variables[11])
x3=as.matrix(min_all[4])*as.matrix(variables[12])
y3=as.matrix(min_all[5])*as.matrix(variables[12])
x1 <- na.omit(x1)
x2 <- na.omit(x2)
x3 <- na.omit(x3)
y1 <- na.omit(y1)
y2 <- na.omit(y2)
y3 <- na.omit(y3)

var_filename <- paste("plot_min_", aa, sep="",".jpg")
jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")

if (time_step==0) {
x4=as.matrix(min_all[2])*as.matrix(variables[13])
y4=as.matrix(min_all[3])*as.matrix(variables[13])
x4 <- na.omit(x4)
y4 <- na.omit(y4)
all = c(x1,y1,x2,y2,x3,y3,x4,y4)
range = c(min(all), max(all))
plot(x1,y1,lty=9,xlim=range, ylim=range, lwd=2,pch=0, col=c("red"), xlab= "Observed", ylab="Simulated")
points(x2,y2, lty=9, lwd=2,pch=1, col=c("blue"))
points(x3,y3, lty=9, lwd=2,pch=2, col=c("green"))
points(x4,y4, lty=9, lwd=2,pch=3, col=c("black"))
abline (0, 1)
legend("topleft",legend=c("Annual","Seasonal","Monthly","Daily"),pch=c(0,1,2,3),col=c("red","blue","green","black"),bg = "transparent",box.lty=0) 
dev.off()
} else {
all = c(x1,y1,x2,y2,x3,y3)
range = c(min(all), max(all))
plot(x1,y1,lty=9,xlim=range, ylim=range, lwd=2,pch=0, col=c("red"), xlab= "Observed", ylab="Simulated")
points(x2,y2, lty=9, lwd=2,pch=1, col=c("blue"))
points(x3,y3, lty=9, lwd=2,pch=2, col=c("green"))
abline (0, 1)
legend("topleft",legend=c("Annual","Seasonal","Monthly"),pch=c(0,1,2),col=c("red","blue","green"),bg = "transparent",box.lty=0) 
dev.off()
}
l_skip=l_skip+no_variables+1
# for maximum value
max_all=read.table(output_file, header =FALSE, sep = "", nrows=(no_variables),skip=(l_skip+1),strip.white = FALSE, na.strings=c("NA", "--", "?"))
x1=as.matrix(max_all[8])*as.matrix(variables[14])
y1=as.matrix(max_all[9])*as.matrix(variables[14])
x2=as.matrix(max_all[6])*as.matrix(variables[15])
y2=as.matrix(max_all[7])*as.matrix(variables[15])
x3=as.matrix(max_all[4])*as.matrix(variables[16])
y3=as.matrix(max_all[5])*as.matrix(variables[16])
x1 <- na.omit(x1)
x2 <- na.omit(x2)
x3 <- na.omit(x3)
y1 <- na.omit(y1)
y2 <- na.omit(y2)
y3 <- na.omit(y3)

var_filename <- paste("plot_max_", aa, sep="",".jpg")
jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")

if (time_step==0) {
x4=as.matrix(max_all[2])*as.matrix(variables[17])
y4=as.matrix(max_all[3])*as.matrix(variables[17])
x4 <- na.omit(x4)
y4 <- na.omit(y4)
all = c(x1,y1,x2,y2,x3,y3,x4,y4)
range = c(min(all), max(all))
plot(x1,y1,lty=9,xlim=range, ylim=range, lwd=2,pch=0, col=c("red"), xlab= "Observed", ylab="Simulated")
points(x2,y2, lty=9, lwd=2,pch=1, col=c("blue"))
points(x3,y3, lty=9, lwd=2,pch=2, col=c("green"))
points(x4,y4, lty=9, lwd=2,pch=3, col=c("black"))
abline (0, 1)
legend("topleft",legend=c("Annual","Seasonal","Monthly","Daily"),pch=c(0,1,2,3),col=c("red","blue","green","black"),bg = "transparent",box.lty=0) 
dev.off()
} else {
all = c(x1,y1,x2,y2,x3,y3)
range = c(min(all), max(all))
plot(x1,y1,lty=9,xlim=range, ylim=range, lwd=2,pch=0, col=c("red"), xlab= "Observed", ylab="Simulated")
points(x2,y2, lty=9, lwd=2,pch=1, col=c("blue"))
points(x3,y3, lty=9, lwd=2,pch=2, col=c("green"))
abline (0, 1)
legend("topleft",legend=c("Annual","Seasonal","Monthly"),pch=c(0,1,2),col=c("red","blue","green"),bg = "transparent",box.lty=0) 
dev.off()
}
l_skip=l_skip+no_variables+1
# for percentage above agiven threshold
per_all=read.table(output_file, header =FALSE, sep = "", nrows=(no_variables),skip=(l_skip+1),strip.white = FALSE, na.strings=c("NA", "--", "?"))
x1=as.matrix(per_all[2])
y1=as.matrix(per_all[3])
x1 <- na.omit(x1)
y1 <- na.omit(y1)

var_filename <- paste("plot_per_thres_", aa, sep="", ".jpg")
jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")
barplot(x1,y1,
        main = "Percentage above a given threshold",xlab = "Daily/monthly",
        col = c("red","green"), beside = TRUE )

legend("topleft", c("Observed","Simulated"), fill = c("red","green")
)
dev.off()
l_skip=l_skip+no_variables+1
# for LAG1 cross correlations
if (no_variables>1) {
cross_lagged=read.table(output_file, header =FALSE, sep = "", nrows=(no_variables*(no_variables-1)),skip=(l_skip+1),strip.white = FALSE, na.strings=c("NA", "--", "?"))
x1=as.matrix(cross_lagged[9])
y1=as.matrix(cross_lagged[10])
x2=as.matrix(cross_lagged[7])
y2=as.matrix(cross_lagged[8])
x3=as.matrix(cross_lagged[5])
y3=as.matrix(cross_lagged[6])
x1 <- na.omit(x1)
x2 <- na.omit(x2)
x3 <- na.omit(x3)
y1 <- na.omit(y1)
y2 <- na.omit(y2)
y3 <- na.omit(y3)
var_filename <- paste("plot_cross_lagged_", aa, sep="", ".jpg")
jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")

if (time_step==0) {
x4=as.matrix(cross_lagged[3])
y4=as.matrix(cross_lagged[4])
x4 <- na.omit(x4)
y4 <- na.omit(y4)
all = c(x1,y1,x2,y2,x3,y3,x4,y4)
range = c(min(all), max(all))
plot(x1,y1,lty=9,xlim=range, ylim=range, lwd=2,pch=0, col=c("red"), xlab= "Observed", ylab="Simulated")
points(x2,y2, lty=9, lwd=2,pch=1, col=c("blue"))
points(x3,y3, lty=9, lwd=2,pch=2, col=c("green"))
points(x4,y4, lty=9, lwd=2,pch=3, col=c("black"))
abline (0, 1)
legend("topleft",legend=c("Annual","Seasonal","Monthly","Daily"),pch=c(0,1,2,3),col=c("red","blue","green","black"),bg = "transparent",box.lty=0) 
dev.off()
} else {
all = c(x1,y1,x2,y2,x3,y3)
range = c(min(all), max(all))
plot(x1,y1,lty=9,xlim=range, ylim=range, lwd=2,pch=0, col=c("red"), xlab= "Observed", ylab="Simulated")
points(x2,y2, lty=9, lwd=2,pch=1, col=c("blue"))
points(x3,y3, lty=9, lwd=2,pch=2, col=c("green"))
abline (0, 1)
legend("topleft",legend=c("Annual","Seasonal","Monthly"),pch=c(0,1,2),col=c("red","blue","green"),bg = "transparent",box.lty=0) 
dev.off()
}
l_skip=l_skip+no_variables*(no_variables-1)+1
}
l_skip=l_skip+1
years=read.table(output_file, header =FALSE, sep = "", nrows =1,skip = l_skip+1, strip.white = FALSE)
no_yr_obs=as.numeric(years[1])
no_yr_sim=as.numeric(years[2])
no_yr = max(c(no_yr_obs,no_yr_sim))
l_skip=l_skip+1

if (my_plot == 2) {
message(sprintf("Creating Plots of Empirical CDFs"))

# for Empirical CDFs
#annual
Emp_CDF=read.table(output_file, header =FALSE, sep = "", nrows=(no_yr),skip=l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
for (j in 1:no_variables) {
j1<-2*j+2
j2<-2*j+3
x1=as.matrix(Emp_CDF[2])
y1=as.matrix(Emp_CDF[j1])
x2=as.matrix(Emp_CDF[3])
y2=as.matrix(Emp_CDF[j2])
x1 <- x1[1:no_yr_obs, 1]
x2 <- x2[1:no_yr_sim, 1]
y1 <- y1[1:no_yr_obs, 1]
y2 <- y2[1:no_yr_sim, 1]
x1 <- na.omit(x1)
x2 <- na.omit(x2)
y1 <- na.omit(y1)
y2 <- na.omit(y2)
var_filename <- paste("plot_dist_",aa,sep="","_An", "_Vr", j, ".jpg")
jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")
rangex = c(min(c(x1,x2)), max(c(x1,x2)))
rangey = c(min(c(y1,y2)), max(c(y1,y2)))
plot(x1,y1,type="l",xlim=rangex, ylim=rangey, lwd=2, col=c("red"), ylab= "Value", xlab="Cumulative Probability")
lines(x2,y2,  lwd=2, col=c("blue"))
legend("topleft",legend=c("Observed","Simulated"),lty=c(1,1),col=c("red","blue"),bg = "transparent",box.lty=0) 
dev.off()
}
l_skip=l_skip+no_yr+1
#seasonal
Emp_CDF=read.table(output_file, header =FALSE, sep = "", nrows=(no_yr*no_seasons),skip=l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
for (j in 1:no_variables) {
  j1<-2*j+2
  j2<-2*j+3
  x1=as.matrix(Emp_CDF[2])
  y1=as.matrix(Emp_CDF[j1])
  x2=as.matrix(Emp_CDF[3])
  y2=as.matrix(Emp_CDF[j2])
  x1 <- x1[1:no_yr_obs*no_seasons, 1]
  x2 <- x2[1:no_yr_sim*no_seasons, 1]
  y1 <- y1[1:no_yr_obs*no_seasons, 1]
  y2 <- y2[1:no_yr_sim*no_seasons, 1]
  
  x1 <- na.omit(x1)
  x2 <- na.omit(x2)
  y1 <- na.omit(y1)
  y2 <- na.omit(y2)
  var_filename <- paste("plot_dist_",aa,sep="","_Seas","_Vr", j, ".jpg")
  jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")
  rangex = c(min(c(x1,x2)), max(c(x1,x2)))
  rangey = c(min(c(y1,y2)), max(c(y1,y2)))
  plot(x1,y1,type="l",xlim=rangex, ylim=rangey, lwd=2, col=c("red"), ylab= "Value", xlab="Cumulative Probability")
  lines(x2,y2,  lwd=2, col=c("blue"))
  legend("topleft",legend=c("Observed","Simulated"),lty=c(1,1),col=c("red","blue"),bg = "transparent",box.lty=0) 
  dev.off()
}
l_skip=l_skip+no_yr*no_seasons+1
#monthly
Emp_CDF=read.table(output_file, header =FALSE, sep = "", nrows=(no_yr*12),skip=l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
for (j in 1:no_variables) {
  j1<-2*j+2
  j2<-2*j+3
  x1=as.matrix(Emp_CDF[2])
  y1=as.matrix(Emp_CDF[j1])
  x2=as.matrix(Emp_CDF[3])
  y2=as.matrix(Emp_CDF[j2])
  x1 <- x1[1:no_yr_obs*12, 1]
  x2 <- x2[1:no_yr_sim*12, 1]
  y1 <- y1[1:no_yr_obs*12, 1]
  y2 <- y2[1:no_yr_sim*12, 1]
  
  x1 <- na.omit(x1)
  x2 <- na.omit(x2)
  y1 <- na.omit(y1)
  y2 <- na.omit(y2)
  var_filename <- paste("plot_dist_",aa,sep="","_Mon","_Vr", j, ".jpg")
  jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")
  rangex = c(min(c(x1,x2)), max(c(x1,x2)))
  rangey = c(min(c(y1,y2)), max(c(y1,y2)))
  plot(x1,y1,type="l",xlim=rangex, ylim=rangey, lwd=2, col=c("red"), ylab= "Value", xlab="Cumulative Probability")
  lines(x2,y2,  lwd=2, col=c("blue"))
  legend("topleft",legend=c("Observed","Simulated"),lty=c(1,1),col=c("red","blue"),bg = "transparent",box.lty=0) 
  dev.off()
}#daily
l_skip=l_skip+no_yr*12+1
if (time_step==0) {
points=read.table(output_file, header =FALSE, sep = "", nrows =1,skip = l_skip, strip.white = FALSE)
no_pts_obs=as.numeric(points[1])
no_pts_sim=as.numeric(points[2])
no_pts = max(c(no_pts_obs,no_pts_sim))
Emp_CDF=read.table(output_file, header =FALSE, sep = "", nrows=(no_pts),skip=l_skip+1,strip.white = FALSE, na.strings=c("NA", "--", "?"))
for (j in 1:no_variables) {
  j1<-2*j+2
  j2<-2*j+3
  x1=as.matrix(Emp_CDF[2])
  y1=as.matrix(Emp_CDF[j1])
  x2=as.matrix(Emp_CDF[3])
  y2=as.matrix(Emp_CDF[j2])
  x1 <- x1[1:no_pts_obs, 1]
  x2 <- x2[1:no_pts_sim, 1]
  y1 <- y1[1:no_pts_obs, 1]
  y2 <- y2[1:no_pts_sim, 1]
  
  x1 <- na.omit(x1)
  x2 <- na.omit(x2)
  y1 <- na.omit(y1)
  y2 <- na.omit(y2)
  var_filename <- paste("plot_dist_",aa,sep="","_Dly", "_Vr", j, ".jpg")
  jpeg(var_filename, quality =100, bg = "white", res = 500, width = 4, height = 4, units = "in")
  rangex = c(min(c(x1,x2)), max(c(x1,x2)))
  rangey = c(min(c(y1,y2)), max(c(y1,y2)))
  plot(x1,y1,type="l",xlim=rangex, ylim=rangey, lwd=2, col=c("red"), ylab= "Value", xlab="Cumulative Probability")
  lines(x2,y2,  lwd=2, col=c("blue"))
  legend("topleft",legend=c("Observed","Simulated"),lty=c(1,1),col=c("red","blue"),bg = "transparent",box.lty=0) 
  dev.off()
}
}
}
}
}

message(sprintf("Programme successfully executed"))